Package org.firebirdsql.jdbc

## Class FBDriverNotCapableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - java.sql.SQLFeatureNotSupportedException
          - - org.firebirdsql.jdbc.FBDriverNotCapableException

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

      public class FBDriverNotCapableException
      extends java.sql.SQLFeatureNotSupportedException

  Tell that driver is not able to serve the request due to missing capabilities.
  Author:
    Roman Rokytskyy
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FBDriverNotCapableException()` | Create instance of this class.
    `FBDriverNotCapableException​(java.lang.String reason)` | Create instance of this class for the specified reason.

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### FBDriverNotCapableException

          public FBDriverNotCapableException​(java.lang.String reason)

      Create instance of this class for the specified reason.
      Parameters:
        `reason` - reason that will be displayed.

    - #### FBDriverNotCapableException

          public FBDriverNotCapableException()

      Create instance of this class.